
Figure - Bug #118691
IOVISSUE-9179【VC1】【质量】【副屏】副屏小窗打开TAPTAP，小窗显示白屏
2023-06-08 20:06 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-08

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 0106

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause:

Description

【问题描述】：【VC1】【质量】【副屏】副屏小窗打开TAPTAP，小窗显示白屏

【前置条件】：车辆上电

【软件/网络环境】：EE环境

【软件版本】：IDCM 03.02.0086.C102

【提报人】：李鑫宇

【操作步骤】：，车辆上电，副屏下载TAPTAP，长按图标小窗打开

【预期结果/行为】副屏小窗打开TAPTAP，小窗显示正常界面

【实际结果/行为】副屏小窗打开TAPTAP，小窗显示白屏

【问题发生频率】：必现

【实车VIN】：LJD8BC3F7P0000701

【数采编号】:0300124

【发生日期 & 时间】：2023/06/08 14:43

【视频链接】：如附件

History

#1 - 2023-06-09 10:00 - CD FW-鲁凯峰

- Status changed from New to NEED_INFO

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Need_Info changed from -- to TEST

TapTap小窗显示白屏是由于TapTap自己内部布局出现了异常导致的, 需要TapTap自己去处理, 系统侧这边无法处理

//启动TapTap

06-08 14:42:54.337  1515 20217 I ActivityTaskManager: START u0 {act=android.intent.action.MAIN cat=[android.intent.category.LAUNCHER] flg=0x10200000

cmp=com.taptap/com.play.taptap.ui.SplashAct} from uid 10074

//TapTap内部View加载出现了异常

06-08 14:42:54.697 20219 20571 W System.err: java.lang.IllegalStateException: View com.taptap.other.basic.impl.ui.home.bottombar.HomeBottomItemView{2a3c71b

VFE...C.. ......I. 0,0-0,0} does not have a Fragment set

06-08 14:42:54.698 20219 20219 W System.err:     at androidx.viewpager.widget.ViewPager.populate(ViewPager.java:1092)

06-08 14:42:54.698 20219 20219 W System.err:     at androidx.viewpager.widget.ViewPager.populate(ViewPager.java:1234)

06-08 14:42:54.698 20219 20219 W System.err:     at androidx.viewpager.widget.ViewPager.setOffscreenPageLimit(ViewPager.java:856)

06-08 14:42:54.698 20219 20219 W System.err:     at com.taptap.core.pager.TapBaseActivity.onCreate(TapBaseActivity.kt:60)

06-08 14:42:54.698 20219 20219 W System.err:     at com.taptap.game.home.impl.home.HomeTabFragment.getTabAdapter(HomeTabFragment.kt:116)

06-08 14:42:54.698 20219 20219 W System.err:     at com.taptap.game.home.impl.home.HomeTabFragment.resetCurrView(HomeTabFragment.kt:628)
06-08 14:42:54.698 20219 20219 W System.err:     at com.taptap.game.home.impl.home.HomeTabFragment.setMenuVisibility(HomeTabFragment.kt:621)

06-08 14:42:54.698 20219 20219 W System.err:     at com.taptap.infra.base.flash.base.BaseVMPageActivity.onCreate(BaseVMPageActivity.kt:24)

06-08 14:42:54.698 20219 20219 W System.err:     at com.taptap.other.basic.impl.ui.home.main.HomeContentWidget.initView(HomeContentWidget.kt:139)

06-08 14:42:54.698 20219 20219 W System.err:     at com.taptap.other.basic.impl.ui.home.main.HomePageActivity.initContentView(HomePageActivity.kt:189)

06-08 14:42:54.698 20219 20219 W System.err:     at com.taptap.other.basic.impl.ui.home.main.HomePageActivity.initView(HomePageActivity.kt:164)

06-08 14:42:54.698 20219 20219 W System.err:     at com.taptap.other.basic.impl.ui.home.main.HomePageActivity.onCreate(HomePageActivity.kt:146)

06-08 14:42:54.698 20219 20219 W System.err:     at com.taptap.other.basic.impl.widgets.CachedPagerAdapter.setPrimaryItem(CachedPagerAdapter.java:50)

06-08 14:42:54.698 20219 20219 W System.err:     at

com.taptap.other.basic.impl.widgets.NoDestroyItemFragmentAdapter.setPrimaryItem(NoDestroyItemFragmentAdapter.java:125)

06-08 14:42:54.698 20219 20219 W System.err: kotlin.UninitializedPropertyAccessException: lateinit property tabAdapter has not been initialized

06-08 14:42:54.698 20219 20571 W System.err:     at androidx.fragment.app.FragmentManager.findFragment(FragmentManager.java:795)

06-08 14:42:54.698 20219 20571 W System.err:     at com.taptap.infra.log.common.log.extension.NavLogExtensionsKt.findCurFragment(NavLogExtensions.kt:17)

06-08 14:42:54.698 20219 20571 W System.err:     at com.taptap.infra.log.common.logs.TapLogsHelper$Companion$view$1.invokeSuspend(TapLogsHelper.kt:143)

06-08 14:42:54.698 20219 20571 W System.err:     at com.taptap.infra.log.common.logs.TapLogsHelper$Companion.generateLogs(TapLogsHelper.kt:473)

06-08 14:42:54.698 20219 20571 W System.err:     at java.lang.Thread.run(Thread.java:920)

06-08 14:42:54.698 20219 20571 W System.err:     at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:462)

06-08 14:42:54.698 20219 20571 W System.err:     at java.util.concurrent.FutureTask.run(FutureTask.java:266)

06-08 14:42:54.698 20219 20571 W System.err:     at

java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:301)

06-08 14:42:54.698 20219 20571 W System.err:     at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)

06-08 14:42:54.698 20219 20571 W System.err:     at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1167)

06-08 14:42:54.698 20219 20571 W System.err:     at kotlin.coroutines.jvm.internal.BaseContinuationImpl.resumeWith(ContinuationImpl.kt:33)

06-08 14:42:54.698 20219 20571 W System.err:     at kotlinx.coroutines.DispatchedTask.run(DispatchedTask.kt:106)

06-08 14:42:54.699 20219 20219 W System.err:     at android.app.ActivityThread.main(ActivityThread.java:7880)

06-08 14:42:54.699 20219 20219 W System.err:     at android.os.Handler.dispatchMessage(Handler.java:99)

06-08 14:42:54.699 20219 20219 W System.err:     at android.os.Handler.handleCallback(Handler.java:938)

06-08 14:42:54.699 20219 20219 W System.err:     at android.os.Looper.loop(Looper.java:288)

06-08 14:42:54.699 20219 20219 W System.err:     at android.os.Looper.loopOnce(Looper.java:201)

06-08 14:42:54.699 20219 20219 W System.err:     at com.alibaba.android.arouter.launcher._ARouter$4.run(_ARouter.java:443)

06-08 14:42:54.699 20219 20219 W System.err:     at com.alibaba.android.arouter.launcher._ARouter.access$300(_ARouter.java:59)

06-08 14:42:54.699 20219 20219 W System.err:     at com.alibaba.android.arouter.launcher._ARouter.startPageActivity(_ARouter.java:535)

06-08 14:42:54.699 20219 20219 W System.err:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

06-08 14:42:54.699 20219 20219 W System.err:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

06-08 14:42:54.699 20219 20219 W System.err:     at com.taptap.infra.page.core.BasePage.create(BasePage.kt:111)

06-08 14:42:54.699 20219 20219 W System.err:     at com.taptap.infra.page.core.PageControl.runMainUI(PageControl.kt:342)

06-08 14:42:54.699 20219 20219 W System.err:     at com.taptap.infra.page.core.PageControl.runMainUI(PageControl.kt:342)

06-08 14:42:54.699 20219 20219 W System.err:     at com.taptap.infra.page.core.PageControl.runMainUI(PageControl.kt:342)

06-08 14:42:54.699 20219 20219 W System.err:     at com.taptap.infra.page.core.PageControl.runMainUI(PageControl.kt:342)

06-08 14:42:54.699 20219 20219 W System.err:     at com.taptap.infra.page.core.PageControl.run(PageControl.kt:395)

06-08 14:42:54.699 20219 20219 W System.err:     at com.taptap.infra.page.core.PageControl.run(PageControl.kt:494)

06-08 14:42:54.699 20219 20219 W System.err:     at com.taptap.infra.page.core.PageControl.run(PageControl.kt:494)

06-08 14:42:54.699 20219 20219 W System.err:     at com.taptap.infra.page.core.PageControl.run(PageControl.kt:494)

06-08 14:42:54.699 20219 20219 W System.err:     at com.taptap.infra.page.core.PageControl.startReplaceActivity(PageControl.kt:332)

06-08 14:42:54.699 20219 20219 W System.err:     at com.taptap.infra.page.PageManager.startPageActivity(PageManager.kt:212)

06-08 14:42:54.699 20219 20219 W System.err:     at com.taptap.infra.page.PageManager.startReplacePage(PageManager.kt:460)

06-08 14:42:54.699 20219 20219 W System.err:     at java.lang.reflect.Method.invoke(Native Method)

#2 - 2023-06-12 16:11 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

第三方应用自身问题
#3 - 2023-06-12 16:11 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#4 - 2023-06-12 16:12 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

1686225867525.zip 5.08 MB 2023-06-08 CD TEST-方永红
